Cyberduck Mountain Duck CLI

#6036 closed enhancement (fixed)

Long transcript slows down operation

Reported by: Tim Coop3R Owned by: yla
Priority: normal Milestone: 4.3
Component: interface Version: 4.0.2
Severity: normal Keywords: s3 speed slowdown
Cc: Architecture: Intel
Platform: Windows 7

Description

I have noticed some interesting behaviour when deleting a very large number of files from S3 using Cyberduck.

When removing a bucket containing around 14,000 files a request is sent to delete each file one at a time (as best as I can tell). If you leave this operation to run and return after 20 or 30 minute you will notice that in the Log draw the operation is now happening much more slowly to the point that the log messages are easily readable as they pass through the windows1 or two a second.

If you stop the operation, disconnect, re-connect and start the operation again the operation resumes at full speed with the operations passing the log window faster than you can read them at the rate of several every second.

This is repeatable and has happened the last 3 or 4 times I have run this operation.

Change History (5)

comment:1 Changed on Jun 25, 2011 at 9:20:28 AM by dkocher

The performance impact is most possibly due to the large amount of lines in the transcript and automatically scrolling to the last appended line in the log drawer. Closing the log drawer (⌘-L) should resolve this.

comment:2 Changed on Jun 25, 2011 at 10:43:08 AM by Tim Coop3R

So it does! Thanks

comment:3 Changed on Jun 26, 2011 at 11:10:51 AM by dkocher

  • Component changed from s3 to interface
  • Summary changed from S3 delete operation of large number of files slows down significantly over time to Long transcript slows down operation

We should possibly clear the transcript at a certain limit if the performance impact is too big.

comment:4 Changed on Oct 15, 2012 at 9:05:55 PM by dkocher

  • Owner changed from dkocher to yla
  • Type changed from defect to enhancement

comment:5 Changed on Dec 27, 2012 at 7:33:35 AM by yla

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed

In r10732.

Note: See TracTickets for help on using tickets.
swiss made software